# ``twisted`.`application`.`twist`.`_twist`.`Twist``

class documentation

`class Twist: (source)`

View In Hierarchy

Run a Twisted application.

Class Method | `main` | Executable entry point for `Twist`. Processes options and run a twisted reactor with a service.
Static Method | `options` | Parse command line options.
Static Method | `run` | Run the application service.
Static Method | `service` | Create the application service.
Static Method | `startService` | Start the application service.

@classmethod
def main(cls, argv=sys.argv): (source)
Executable entry point for `Twist`. Processes options and run a twisted reactor with a service.

Parameters
argv:`list` | Command line arguments.

@staticmethod
def options(argv): (source)
Parse command line options.

Parameters
argv:`Sequence[str]` | Command line arguments.
Returns
`TwistOptions` | The parsed options.

@staticmethod
def run(twistOptions): (source)
Run the application service.

Parameters
twistOptions:`TwistOptions` | Command line options to convert to runner arguments.

@staticmethod
def service(plugin, options): (source)
Create the application service.

Parameters
plugin:`IServiceMaker` | The name of the plugin that implements the service application to run.
options:`Options` | Options to pass to the application.
Returns
`IService` | The created application service.

@staticmethod
def startService(reactor, service): (source)
Start the application service.

Parameters
reactor:`IReactorCore` | The reactor to run the service with.
service:`IService` | The application service to run.